Subject: Re: [PATCH] gnu: Fix java-jaxen.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 08 Nov 2024 11:57:34 +0100

Am Montag, dem 04.11.2024 um 22:26 +0100 schrieb Hartmut Goebel:
> java-jaxen was missing the dom4j and xom sub-packages. This was
> caused by java-jaxen-bootstrap deleting the respective directories
> (which is okay) and java-javen not removing the phase that does this.
> 
> Solve this by basing java-jaxen-bootstrap on java-jaxen instead of
> vice-versa.
> 
> * gnu/packages/java-xml.scm (java-jaxen) Define based on former
> java-jaxen-bootstrap, while keeping the former's inputs and removing
> the
> later's build-phases. (java-jaxen-bootstrap): Inherit from java-
> jaxen, keeping
> the pre-existing bootstrap build-ohases and inputs.
> ---
The preferred way for bootstrapping is from bottom up.  You can still
remove the phases and add inputs normally.

Cheers